Skip to main content
PUT
/
api
/
v1
/
storage
/
sandboxes
/
{sandbox_id}
/
vault
/
{key}
Store Object
curl --request PUT \
  --url https://api.copass.id/api/v1/storage/sandboxes/{sandbox_id}/vault/{key} \
  --header 'Authorization: Bearer <token>'
{
  "key": "<string>",
  "full_key": "<string>",
  "size_bytes": 123,
  "encrypted": false,
  "deduplicated": false,
  "is_duplicate": false,
  "content_hash": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
X-Encryption-Token
string | null
X-Encryption-Key
string | null

Path Parameters

key
string
required
sandbox_id
string
required

Query Parameters

encrypt
boolean
default:false

Encrypt data before storing

deduplicate
boolean
default:false

Skip write if identical content already exists in this sandbox

Response

Successful Response

key
string
required

Object key within the sandbox

full_key
string
required

Full storage key including sandbox prefix

size_bytes
integer
required
encrypted
boolean
default:false
deduplicated
boolean
default:false
is_duplicate
boolean
default:false

True if content already existed (dedup hit)

content_hash
string | null

SHA-256 hash (only when deduplicate=true)